Package helma.framework.repository

# Class ResourceTracker

java.lang.Object
helma.framework.repository.ResourceTracker

public class ResourceTracker extends Object
A utility class that allows Resource consumers to track changes on resources.

## Constructor Summary

Constructors
Constructor
Description
`ResourceTracker(Resource resource)`

## Method Summary

Modifier and Type
Method
Description
`Resource`
`getResource()`
`boolean`
`hasChanged()`
`void`
`markClean()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceTracker

public ResourceTracker(Resource resource)

## Method Details

### hasChanged

public boolean hasChanged() throws IOException

Throws:
  `IOException`

### markClean

public void markClean()

### getResource

public Resource getResource()